RubyGems Navigation menu

nokogiri-html5-inference 0.3.0

Infer from the HTML5 input whether it's a fragment or a document, and if it's a fragment what the proper context node should be. This is useful for parsing trusted content like view snippets, particularly for morphing cases like StimulusReflex.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.3.0 - May 05, 2024 (12 KB)
  2. 0.2.0 - April 26, 2024 (12 KB)
  3. 0.1.1 - April 24, 2024 (11.5 KB)
  4. 0.1.0 - April 24, 2024 (11.5 KB)

Runtime Dependencies (1):

nokogiri ~> 1.14

Owners:

Pushed by:

Authors:

  • Mike Dalessio

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 8,131

For this version 7,159

License:

MIT

Required Ruby Version: >= 3.0.0

Links: